Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.entitycaps
Class EntityCapabilitiesManager

    java.lang.Object
      org.jivesoftware.openfire.entitycaps.EntityCapabilitiesManager

All Implemented Interfaces:
  UserEventListener, IQResultListener

    public class EntityCapabilitiesManager

extends Object
implements IQResultListener, UserEventListener

Implements server side mechanics for XEP-0115: "Entity Capabilities" Version 1.4 In particular, EntityCapabilitiesManager is useful for processing "filtered-notifications" for use with Pubsub (XEP-0060) for contacts that may not want to receive notifications for all payload types. The server's role in managing Entity Capabilities is to cache previously encountered entity capabilities for XMPP clients supporting the same identities and features. If the server has not seen a particular combination of identities and features, a Discover Information query is sent to that client and its reply is cached for future use by clients sharing those same entity capabilities.

Author:
  Armando Jagucki

Method Summary
`void` | `answerTimeout(String packetId)` Notification method indicating that a predefined time has passed without receiving answer to a previously sent IQ packet.
`EntityCapabilities` | `getEntityCapabilities(JID jid)` Returns the entity capabilities for a specific JID.
`static EntityCapabilitiesManager` | `getInstance()` Returns the unique instance of this class.
`void` | `process(Presence packet)`
`void` | `receivedAnswer(IQ packet)` Notification method indicating that a previously sent IQ packet has been answered.
`void` | `userCreated(User user, Map<String,Object> params)` A user was created.
`void` | `userDeleting(User user, Map<String,Object> params)` A user is being deleted.
`void` | `userModified(User user, Map<String,Object> params)` A user's name, email, or an extended property was changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EntityCapabilitiesManager getInstance()

  Returns the unique instance of this class.

  Returns:
    the unique instance of this class.

### process

    public void process(Presence packet)

### answerTimeout

    public void answerTimeout(String packetId)

  Description copied from interface: `IQResultListener`
  Notification method indicating that a predefined time has passed without receiving answer to a previously sent IQ packet.

  Specified by:
    `answerTimeout` in interface `IQResultListener`
  Parameters:
    `packetId` - The packet id of a previously sent IQ packet that wasn't answered.

### receivedAnswer

    public void receivedAnswer(IQ packet)

  Description copied from interface: `IQResultListener`
  Notification method indicating that a previously sent IQ packet has been answered. The received IQ packet might be of type ERROR or RESULT.

  Specified by:
    `receivedAnswer` in interface `IQResultListener`
  Parameters:
    `packet` - the IQ packet answering a previously sent IQ packet.

### getEntityCapabilities

    public EntityCapabilities getEntityCapabilities(JID jid)

  Returns the entity capabilities for a specific JID. The specified JID should be a full JID that identitied the entity's connection.

  Parameters:
    `jid` - the full JID of entity
  Returns:
    the entity capabilities of jid.

### userDeleting

    public void userDeleting(User user,
                             Map<String,Object> params)

  Description copied from interface: `UserEventListener`
  A user is being deleted.

  Specified by:
    `userDeleting` in interface `UserEventListener`
  Parameters:
    `user` - the user.
    `params` - event parameters.

### userCreated

    public void userCreated(User user,
                            Map<String,Object> params)

  Description copied from interface: `UserEventListener`
  A user was created.

  Specified by:
    `userCreated` in interface `UserEventListener`
  Parameters:
    `user` - the user.
    `params` - event parameters.

### userModified

    public void userModified(User user,
                             Map<String,Object> params)

  Description copied from interface: `UserEventListener`
  A user's name, email, or an extended property was changed.

  Specified by:
    `userModified` in interface `UserEventListener`
  Parameters:
    `user` - the user.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.